Gecode::CPProfiler::Connector Class Reference

`#include <connector.hpp>`

## Public Member Functions

| Connector (unsigned int port)
bool | connected () const
void | connect (void)
| connect to a socket via port specified in the construction (6565 by default)
void | start (const std::string &file_path="", int execution_id=-1, bool has_restarts=false)
void | restart (int restart_id=-1)
void | done ()
void | disconnect (void)
| disconnect from a socket
void | sendNode (const Node &node)
Node | createNode (NodeUID node, NodeUID parent, int alt, int kids, NodeStatus status)

## Detailed Description

Definition at line 100 of file connector.hpp.

## Constructor & Destructor Documentation

## Connector()

Gecode::CPProfiler::Connector::Connector | ( | unsigned int | port | ) |

inline

Definition at line 211 of file connector.hpp.

## Member Function Documentation

## connected()

bool Gecode::CPProfiler::Connector::connected | ( |  | ) | const

inline

Definition at line 213 of file connector.hpp.

## connect()

void Gecode::CPProfiler::Connector::connect | ( | void |  | ) |

inline

connect to a socket via port specified in the construction (6565 by default)

Definition at line 268 of file connector.hpp.

## start()

void Gecode::CPProfiler::Connector::start | ( | const std::string & | file_path = "",
|  | int | execution_id = -1,
|  | bool | has_restarts = false )

inline

extract fzn file name

Definition at line 328 of file connector.hpp.

## restart()

void Gecode::CPProfiler::Connector::restart | ( | int | restart_id = -1 | ) |

inline

Definition at line 357 of file connector.hpp.

## done()

void Gecode::CPProfiler::Connector::done | ( |  | ) |

inline

Definition at line 373 of file connector.hpp.

## disconnect()

void Gecode::CPProfiler::Connector::disconnect | ( | void |  | ) |

inline

disconnect from a socket

Definition at line 379 of file connector.hpp.

## sendNode()

void Gecode::CPProfiler::Connector::sendNode | ( | const Node & | node | ) |

inline

Definition at line 388 of file connector.hpp.

## createNode()

Node Gecode::CPProfiler::Connector::createNode | ( | NodeUID | node,
|  | NodeUID | parent,
|  | int | alt,
|  | int | kids,
|  | NodeStatus | status )

inline

Definition at line 402 of file connector.hpp.

The documentation for this class was generated from the following file:

- gecode/search/cpprofiler/connector.hpp